Subject: Re: [PATCH 2/2] mlxsw: spectrum_router: avoid potential uninitialized data usage

From: Arnd Bergmann <[email-masked]>
Date: Sat, 1 Oct 2016 05:36:30 +0200

On Friday 30 September 2016, Ido Schimmel wrote:
> BTW, which flags did you pass to generate this error? I can only
> reproduce this with EXTRA_CFLAGS="-Wmaybe-uninitialized -Werror", but
> for some reason EXTRA_CFLAGS="-Wall -Werror" is silent. Any idea why? I
> would like to add this to my git hooks and avoid these errors in the
> future :)

Linus disabled the warning for v4.8. I've just talked to him today about this
warning in particular, and hope that we can find a way to enable it by
default again in the future, as a lot of possible bugs get introduced,
but certain compiler versions also produce a lot of false positives.

	Arnd